package com.jeequan.jeepay.core.interfaces.bill;


import com.jeequan.jeepay.core.entity.CheckBatch;

import java.util.Date;

/**
 * 对账接口
 *
 * @author zx
 *
 * @date 2022/10/16 11:31
 */
public interface IReconciliationService {

    /** 对账 **/
    void queryChannelBillAndCheck(String ifCode, Date billDate);

    /** 根据对账批次  重新发起批次对账 **/
    void reloadBill4Batch(CheckBatch coreCheckBatch, String reloadType);

    /** 处理差异 **/
    void processCheckDiffBills(Date billDate);

}
